-- Auto generated scenario module loader created by Clusterio
-- Modifications to this file will be lost when loaded in Clusterio
clusterio_patch_number = 3

local event_handler = require("event_handler")

-- Scenario modules
require("scenario")

-- Clusterio modules
event_handler.add_lib(require("modules/clusterio/impl"))
event_handler.add_lib(require("modules/clusterio/compat"))
event_handler.add_lib(require("modules/player_auth/auth"))
require("modules/statistics_exporter/export")
event_handler.add_lib(require("modules/exp_util/include/package"))
event_handler.add_lib(require("modules/exp_util/include/require"))
event_handler.add_lib(require("modules/exp_util/storage"))
event_handler.add_lib(require("modules/exp_util/selection"))
event_handler.add_lib(require("modules/exp_util/async"))
require("modules/exp_util/include/math")
require("modules/exp_util/include/table")
event_handler.add_lib(require("modules/exp_commands/module_exports"))
require("modules/exp_commands/commands/types")
require("modules/exp_commands/commands/authorities")
require("modules/exp_commands/commands/help")
require("modules/exp_commands/commands/rcon")
require("modules/exp_commands/commands/sudo")
require("modules/exp_commands/commands/ipc")
event_handler.add_lib(require("modules/exp_gui/data"))
event_handler.add_lib(require("modules/exp_gui/iter"))
event_handler.add_lib(require("modules/exp_gui/prototype"))
event_handler.add_lib(require("modules/exp_gui/control"))
require("modules/exp_gui/elements")
require("modules/exp_gui/styles")
require("modules/exp_gui/toolbar")
event_handler.add_lib(require("modules/exp_legacy/control"))
require("modules/exp_scenario/control")
event_handler.add_lib(require("modules/exp_server_ups/control"))
